#:kivy 1.10
#:import NavigationDrawer kivy.garden.navigationdrawer.NavigationDrawer

BoxLayout:
	id: main
	orientation: 'vertical'
	BoxLayout:
		size_hint_y: None
		height: 30
		id: toppanel
		orientation: 'horizontal'
        Button:
            size_hint_y: None
            height: 25
            text: "Settings"
            on_press:
                app.open_settings()
		Button:
			size_hint_y: None
			height: 25
			width: 100
			text: "Player"
			on_press:
				app.root.ids.screenmanager.current = 'playerScreen'
		Button:
			size_hint_y: None
			height: 25
			width: 100
			text: "OBD2"
			on_press:
				app.root.ids.screenmanager.current = 'obd2Screen'
		Label:
			id: timeLabel
			size_hint_x: None
			width: 25
	NavigationDrawer:
		id: spanel
		_side_panel: sidepanel
		_main_panel: screenmanager
		side_panel_width: 0.1 * self.width
		BoxLayout:
			id: sidepanel
			size_hint_x: None
			orientation: 'vertical'
			spacing: 3
			Button:
				size_hint_y: None
				height: 25
				text: "Player"
				on_press:
					app.root.ids.screenmanager.current = 'playerScreen'
			Button:
				size_hint_y: None
				height: 25
				text: "OBD2"
				on_press:
					app.root.ids.screenmanager.current = 'obd2Screen'
			Button:
				size_hint_y: None
				height: 25
				text: "Settings"
				on_press:
					app.open_settings()
			Widget:
		ScreenManager:
			id: screenmanager
			Screen:
				name: 'playerScreen'
				ScrollView:
					size_hint: (None, None)
					height: self.parent.height
					width: self.parent.width
					padding: (30,10,0,10)
					GridLayout:
						id: songlist
						spacing: 35
						padding: (30,10,0,10)
						cols: 1
						size_hint_y: None
						height: self.minimum_height
						halign: 'center'
						valign: 'center'
			Screen:
				name: 'obd2Screen'
				ScrollView:
					size_hint: (None, None)
					height: self.parent.height
					width: self.parent.width
					padding: (30,10,0,10)
					GridLayout:
						id: graphScreen
						cols: 3
						halign: 'center'
						valign: 'center'
	BoxLayout:
		size_hint_y: None
		height: 90
		id: bottompanel
		orientation: 'vertical'
		Slider:
			id: songSlider
			min: 0
			max: 100
			value_track: True
		BoxLayout:
			id: playerbuttons
			orientation: 'horizontal'
			spacing: 20
			Button:
				size_hint_x: None
				width: 45
				background_color: (0,0,0,1)
				on_release:
					app.player.previous()
				Image:
					pos: self.parent.x, self.parent.y
					size: self.parent.width, self.parent.height
					source: 'images/previous.png'
			Button:
				id: playbtn
				size_hint_x: None
				width: 45
				background_color: (0,0,0,1)
				on_release:
					app.player.play()
				Image:
					pos: self.parent.x, self.parent.y
					size: self.parent.width, self.parent.height
					source: 'images/play.png'
			Button:
				size_hint_x: None
				width: 45
				background_color: (0,0,0,1)
				on_release:
					app.player.pause()
				Image:
					pos: self.parent.x, self.parent.y
					size: self.parent.width, self.parent.height
					source: 'images/pause.png'
			Button:
				size_hint_x: None
				width: 45
				background_color: (0,0,0,1)
				on_release:
					app.player.stop()
				Image:
					pos: self.parent.x, self.parent.y
					size: self.parent.width, self.parent.height
					source: 'images/stop.png'
			Button:
				size_hint_x: None
				width: 45
				background_color: (0,0,0,1)
				on_release:
					app.player.next()
				Image:
					pos: self.parent.x, self.parent.y
					size: self.parent.width, self.parent.height
					source: 'images/next.png'
			BoxLayout:
				size_hint_x: None
				width: 700
				id: volumepanel
				orientation: 'vertical'
				Slider:
					id: volumeSlider
					min: 0
					max: 100
